Name:          libnetfilter_queue
Version:       1.0.5
Release:       2
Summary:       A userspace library to the queued packets
License:       GPLv2
URL:           http://netfilter.org
#git://git.netfilter.org/libnetfilter_queue
Source0:       https://netfilter.org/projects/libnetfilter_queue/files/libnetfilter_queue-%{version}.tar.bz2
BuildRequires: autoconf automake libtool pkgconfig kernel-headers
BuildRequires: libnfnetlink-devel >= 1.0.1 libmnl-devel >= 1.0.3
BuildRequires: make

%description
libnetfilter_queue is a userspace library providing an API to packets that
have been queued by the kernel packet filter. It is is part of a system that
deprecates the old ip_queue / libipq mechanism.

libnetfilter_queue has been previously known as libnfnetlink_queue.

%package        devel
Summary:        Development headers and librarys for libnetfilter_queue
Requires:       %{name} = %{version}-%{release}
Requires:       libnfnetlink-devel >= 1.0.1 kernel-headers pkgconfig

%description    devel
Includes development headers and librarys for libnetfilter_queue.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%check
make check

%pre

%preun

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libnetfilter_queue/*.h
%exclude %{_includedir}/internal.h
%exclude %{_libdir}/libnetfilter_queue.la

%changelog
* Sat Oct 22 2022 gaihuiying <eaglegai@163.com> - 1.0.5-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC: add make as BuildRequires for rpmbuild

* Fri Jul 24 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.0.5-1
- Type:NA
- Id:NA
- SUG:NA
- DESC: update to 1.0.5

* Tue Sep 17 2019 Huiming Xie <xiehuiming@huawei.com> - 1.0.2.13
- Package init

